Bug 20666 - Wrong Permissions prevent non-plack pages to load
Summary: Wrong Permissions prevent non-plack pages to load
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Julian Maurice
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-26 16:21 UTC by M. Tompsett
Modified: 2018-10-24 09:13 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20666: Correct executable permissions (991 bytes, patch)
2018-04-26 16:30 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20666: Correct permissions on opac-routing-lists.pl (643 bytes, patch)
2018-04-26 17:00 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20666: Correct executable permissions (1.02 KB, patch)
2018-04-29 22:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20666: Correct permissions on opac-routing-lists.pl (701 bytes, patch)
2018-04-29 22:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20666: Correct executable permissions (1.08 KB, patch)
2018-04-30 11:45 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 20666: Correct permissions on opac-routing-lists.pl (762 bytes, patch)
2018-04-30 11:46 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2018-04-26 16:21:19 UTC
Clicking "Details" on a list of a patron's fines and payments
(http://localhost:8081/cgi-bin/koha/members/boraccount.pl?borrowernumber=##)
results in a Error 500 when plack is turned off.
Comment 1 M. Tompsett 2018-04-26 16:30:09 UTC
Created attachment 74887 [details] [review]
Bug 20666: Correct executable permissions

TEST PLAN
---------
On a kohadevbox:
 1) sudo koha-plack --enable kohadev
 2) restart_all
 3) Enter fines for a patron in the staff client
 4) Go to the 'Fines' tab (left pane)
 5) Go to the 'Account' tab (below the row of buttons)
 6) Click 'Details'
    -- no issues
 7) sudo koha-plack --disable kohadev
 8) restart_all
 9) refresh page
    -- Error 500
10) apply patch
11) restart_all
12) refresh page
    -- no issues
13) sudo koha-plack --enable kohadev
14) restart_all
15) refresh page
    -- no issues
Comment 2 M. Tompsett 2018-04-26 16:57:20 UTC
find . -name "*.pl" -type f ! -executable

I believe the only other one that matters in opac/opac-routing-lists.pl
I finally got the routing list tab to appear in OPAC and confirmed.
Comment 3 M. Tompsett 2018-04-26 17:00:53 UTC
Created attachment 74888 [details] [review]
Bug 20666: Correct permissions on opac-routing-lists.pl

You will need to have the 'Your routing lists' appear
in the opac-user page in order to trigger the error.

Make sure plack is off, and you will get an error 500 page.
Comment 4 Katrin Fischer 2018-04-29 22:22:24 UTC
Created attachment 74923 [details] [review]
Bug 20666: Correct executable permissions

TEST PLAN
---------
On a kohadevbox:
 1) sudo koha-plack --enable kohadev
 2) restart_all
 3) Enter fines for a patron in the staff client
 4) Go to the 'Fines' tab (left pane)
 5) Go to the 'Account' tab (below the row of buttons)
 6) Click 'Details'
    -- no issues
 7) sudo koha-plack --disable kohadev
 8) restart_all
 9) refresh page
    -- Error 500
10) apply patch
11) restart_all
12) refresh page
    -- no issues
13) sudo koha-plack --enable kohadev
14) restart_all
15) refresh page
    -- no issues

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2018-04-29 22:22:28 UTC
Created attachment 74924 [details] [review]
Bug 20666: Correct permissions on opac-routing-lists.pl

You will need to have the 'Your routing lists' appear
in the opac-user page in order to trigger the error.

Make sure plack is off, and you will an error 500 page.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Julian Maurice 2018-04-30 11:45:56 UTC
Created attachment 74937 [details] [review]
Bug 20666: Correct executable permissions

TEST PLAN
---------
On a kohadevbox:
 1) sudo koha-plack --enable kohadev
 2) restart_all
 3) Enter fines for a patron in the staff client
 4) Go to the 'Fines' tab (left pane)
 5) Go to the 'Account' tab (below the row of buttons)
 6) Click 'Details'
    -- no issues
 7) sudo koha-plack --disable kohadev
 8) restart_all
 9) refresh page
    -- Error 500
10) apply patch
11) restart_all
12) refresh page
    -- no issues
13) sudo koha-plack --enable kohadev
14) restart_all
15) refresh page
    -- no issues

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 7 Julian Maurice 2018-04-30 11:46:00 UTC
Created attachment 74938 [details] [review]
Bug 20666: Correct permissions on opac-routing-lists.pl

You will need to have the 'Your routing lists' appear
in the opac-user page in order to trigger the error.

Make sure plack is off, and you will an error 500 page.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 8 Jonathan Druart 2018-05-03 16:41:41 UTC
Pushed to master for 18.05, thanks to everybody involved!